import 'package:comunic/helpers/webapp_helper.dart';
import 'package:comunic/lists/memberships_list.dart';
import 'package:comunic/ui/widgets/safe_state.dart';
import 'package:flutter/material.dart';

/// Memberships panel
///
/// @author Pierre Hubert

class MembershipsPanel extends StatefulWidget {
  @override
  _MembershipsPanelState createState() => _MembershipsPanelState();
}

class _MembershipsPanelState extends SafeState<MembershipsPanel> {
  MembershipList _membershipList;

  Future<void> _refresh() async {
    try {
      final memberships = await WebAppHelper.getMemberships();

      setState(() {
        _membershipList = memberships;
      });
    } catch (e, s) {
      print("Could not load the list of memberships! $e\n$s");
      setTimeout(5, _refresh);
    }
  }

  @override
  void initState() {
    super.initState();
    _refresh();
  }

  @override
  Widget build(BuildContext context) {
    return Container();
  }
}
